package com.ss.android.ugc.aweme.ruler_adapter;

import X.4gf;
import X.C2155PrU;
import X.C2168Prh;
import X.C2174Prn;
import X.C2254Pt5;
import X.C2257Pt8;
import X.C2259PtA;
import X.C2263PtE;
import X.M12;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.compliance.common.serviceimpl.ComplianceMonitorServiceImpl;
import com.ss.android.ugc.aweme.ruler_adapter_api.IRulerService;
import com.ss.android.ugc.aweme.ruler_adapter_api.RuleEngineSettingsModel;

public final class KidsRulerServiceImpl implements IRulerService {
    static {
        Covode.recordClassIndex(103854);
    }

    public final boolean LIZ() {
        return true;
    }

    public final RuleEngineSettingsModel LIZIZ() {
        return ComplianceMonitorServiceImpl.LJI().LIZLLL();
    }

    public final void LIZ(Context context) {
        M12.LIZ(context);
        RuleEngineSettingsModel LIZIZ = LIZIZ();
        if (LIZIZ != null && LIZIZ.getEnableRuleEngine()) {
            C2263PtE.LIZ.LIZ();
            C2168Prh.LIZ(new C2174Prn(new C2254Pt5(LIZIZ, context)));
            C2155PrU.LIZ.LIZ(new 4gf(context, "kids_ruler_config.json"), new C2259PtA());
            ComplianceMonitorServiceImpl.LJI().LIZ(new C2257Pt8(this));
        }
    }
}
